# eric7.WebBrowser.Network.QtHelpSchemeHandler

Module implementing a scheme access handler for QtHelp.

### Global Attributes

ExtensionMap
QtDocPath

### Classes

QtHelpSchemeHandler | Class implementing a scheme handler for the qthelp: scheme.
QtHelpSchemeReply | Class implementing a reply for a requested qthelp: page.

### Functions

None

## QtHelpSchemeHandler

Class implementing a scheme handler for the qthelp: scheme.

### Derived from

QWebEngineUrlSchemeHandler

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpSchemeHandler | Constructor
__replyClosed | Private slot handling the closed signal of a reply.
requestStarted | Public method handling the URL request.

### Static Methods

None

#### QtHelpSchemeHandler (Constructor)

QtHelpSchemeHandler(engine, parent=None)

Constructor

engine (QHelpEngine)
  reference to the help engine
parent (QObject)
  reference to the parent object

#### QtHelpSchemeHandler.__replyClosed

__replyClosed(reply)

Private slot handling the closed signal of a reply.

reply (QtHelpSchemeReply)
  reference to the network reply

#### QtHelpSchemeHandler.requestStarted

requestStarted(job)

Public method handling the URL request.

job (QWebEngineUrlRequestJob)
  URL request job

Up

## QtHelpSchemeReply

Class implementing a reply for a requested qthelp: page.

### Signals

closed
  emitted to signal that the web engine has read the data

### Derived from

QIODevice

### Class Attributes

None

### Class Methods

None

### Methods

QtHelpSchemeReply | Constructor
__loadQtHelpPage | Private method to load the requested QtHelp page.
__mimeFromUrl | Private method to guess the mime type given an URL.
bytesAvailable | Public method to get the number of available bytes.
close | Public method used to cloase the reply.
mimeType | Public method to get the reply mime type.
readData | Public method to retrieve data from the reply object.

### Static Methods

None

#### QtHelpSchemeReply (Constructor)

QtHelpSchemeReply(job, engine, parent=None)

Constructor

job (QWebEngineUrlRequestJob)
  reference to the URL request
engine (QHelpEngine)
  reference to the help engine
parent (QObject)
  reference to the parent object

#### QtHelpSchemeReply.__loadQtHelpPage

__loadQtHelpPage(url)

Private method to load the requested QtHelp page.

url (QUrl)
  URL of the requested page

#### QtHelpSchemeReply.__mimeFromUrl

__mimeFromUrl(url)

Private method to guess the mime type given an URL.

url
  URL to guess the mime type from (QUrl)

Return:
  mime type for the given URL (string)

#### QtHelpSchemeReply.bytesAvailable

bytesAvailable()

Public method to get the number of available bytes.

Return:
  number of available bytes

Return Type:
  int

#### QtHelpSchemeReply.close

close()

Public method used to cloase the reply.

#### QtHelpSchemeReply.mimeType

mimeType()

Public method to get the reply mime type.

Return:
  mime type of the reply

Return Type:
  bytes

#### QtHelpSchemeReply.readData

readData(maxlen)

Public method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Return:
  string containing the data (bytes)

Up